export declare class DocBuilderPackageXML {
    static buildIndexTable(outputPackageXmlMarkdownFiles: any[]): Promise<{
        packageLines: string[];
        packagesForMenu: any;
    }>;
    static generatePackageXmlMarkdown(inputFile: string | null, outputFile?: string | null, packageXmlDefinition?: any, rootSalesforceUrl?: string): Promise<string>;
    static listPackageXmlCandidates(): any[];
    static generateJsonTree(metadataTypes: any, packageXmlContent: any): Promise<any>;
    private static createCustomFieldsTree;
    private static createMembersTree;
}
